{
  name: 'ablazeapplybrn',
  onStart(target, source) {
    if (source.side === target.side) return;
    if (target.volatiles['substitute'] && !source.hasAbility('infiltrator')) {
      this.add('-immune', target, '[from] Substitute');
      return;
    }
    source.trySetStatus('brn', target, { id: 'flameshadowstep', from: 'Flame Shadow Step' });
  },
  duration: 1
}